Erreur : yarn create cozy-app mycozyapp


#1

Bonjour. J’ai suivi le tutoriel de création de la première application, sous MacOS X.
https://docs.cozy.io/en/dev/app/

Cependant j’obtiens une erreur. Test aussi avec sudo.

Voici la sortie, en vous remerciant :

Let's create the Cozy Application in /Users/johan/PhpstormProjects/TestCozy/mycozyapp

✖ An error occured during mycozyapp initialisation. Aborting.
yarn add --exact cozy-scripts has failed.

Cleaning remaining generated elements
Deleting generated files/folders from /Users/johan/PhpstormProjects/TestCozy/mycozyapp
        - package.json deleted.

mycozyapp/ empty folder deleted.
error Command failed.
Exit code: 1
Command: /usr/local/bin/create-cozy-app
Arguments: mycozyapp
Directory: /Users/johan/PhpstormProjects/TestCozy
Output:

info Visit https://yarnpkg.com/en/docs/cli/create for documentation about this command.

Problème résolu : yarn create cozy-app mycozyapp
#2

Hello @johan,

Bienvenue à bord :smile:,

Ne bouge pas, je trouve un développeur qui pourra t’aider.


#3

Bonjour.

Mon précédent post a été déplacé / supprimé, du fait je crée ce post pour indiquer que mon problème est résolu.
Il concernait un plantage de la commande yarn create cozy-app mycozyapp.

La raison venait de la version de NodeJS. Un script vérifiait celle-ci et stoppait car ma version 8.5 était trop vieille.
Mais l’affichage était masqué, je n’ai donc pas vu ce message. En bidouillant un peu j’ai compris le problème.

Bonne journée :slight_smile:


#4

J’aime quand les gens résolvent leurs soucis elleux-même :wink:

Le masquage du message d’erreur était dû à un souci de ton côté ou du nôtre ?

(ton message initial n’avait pas été supprimé, mais n’était pas dans la bonne catégorie, je viens de le déplacer et d’y accrocher la suite).


#5

Le masquage vient de la commande yarn create cozy-app mycozyapp. J’ai bien respecté les consignes.
Par contre dans la documentation il manque une explication sur comment définir le login / password initial.
Je bloque sur cette étape … (le mot de passe en utilisant docker).

https://docs.cozy.io/en/dev/app/#create-your-application


#6

Bon il semble que le mot de passe par défaut est … cozy :slight_smile:


#7

Merci, nous allons mettre à jour la documentation. N’hésite pas à nous signaler si d’autres choses ne sont pas claires :slight_smile:


#8

Pour le reste de la doc c’est compréhensible, l’exemple d’application créée permet de bien comprendre les premiers concepts. Après le code source est assez compréhensible. Ce que je constate c’est qu’il y a des développeurs de haut niveau chez Cozy et une architecture en béton, c’est rassurant pour la suite.


#9

Bonjour @johan,

Merci beaucoup pour ces retours, ravi de voir que ton problème a été résolu, je pense que le masquage du message d’erreur est probablement de notre côté (côté CCA), du coup je regarderai dès que possible :thumbsup:
Celà dit, normalement la version minimum devrait être la 8, la vérification se fait ici. Donc normalement, ta version 8.5 aurait dû fonctionner correctement aussi :confused:

Merci également pour les retours sur le template d’app, ça nous aide pour adapter et faire au plus simple pour les prochains contributeurs de la plateforme.

Et enfin, n’hésites pas si tu as d’autres questions ou besoins sur le développement d’application Cozy et bienvenue au encore sein de la communauté Cozy :smiley: